Skip to main content
POST
/
gst
/
compliance
/
e-way-bill
/
tax-payer
/
transin
/
search
Search Transporter Id
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/transin/search \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "transin": "29AAFCA3559A1ZV"
}
'
{ "code": 200, "data": { "data": { "address1": "1 ,GROUND FLOOR ,-", "address2": "2ND CROSS ,BANGALURU ,BANGALURU", "legalName": "AGARWAL PACKERS AND MOVERS LIMITED", "pinCode": "560027", "stateCode": "29", "tradeName": "AGARWAL PACKERS AND AMOVERS LIMITED", "transin": "29AAFCA3559A1ZV" }, "status": "1" }, "timestamp": 1763446641000, "transaction_id": "3ea71bc0-b5f5-45d7-8dca-800ccc073951" }

Request body schema

šŸ“˜ Transporters who do not have a GSTIN are provided a Transporter Identification Number by the E-Way Bill portal.

Headers

Authorization
string
required

E-Way Bill access token

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Body

application/json
transin
string
required

Transporter Identification Number

Response

200 - application/json

200 Transporter details fetched / 328 Could not retrieve data

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"3ea71bc0-b5f5-45d7-8dca-800ccc073951"